CONNECT 4.5 is here!!

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

CONNECT 4.5 is here!!

drodrigues
Administrator
The CONNECT Product Team is happy to announce the release and general availability of CONNECT 4.5 for the community!

CONNECT 4.5 continues to build upon and implement enhancements furthering CONNECT as an interoperability platform.  Additional auditing capabilities were added to the previously released NwHIN CAQH CORE X12 support.  The team continued to evolve CONNECT’s operational and configuration interface with additional functionality in the System Administration Module with the Cross Gateway Query Client and the properties configuration. A new feature was introduced that allows adopters to configure a message timeout by transaction rather than at the gateway/service level providing a powerful tool in the management of an implementation’s message traffic.  Furthering adaptability and deployment flexibility, CONNECT was tested on the latest versions of WebLogic and JBoss Wildfly.   This release includes updated and increased support for FIPS implementations (JBoss).

See https://connectopensource.atlassian.net/wiki/display/CONNECT4/4.5+Release+Notes for full details.

Just an fyi – there is an issue with the wiki plugin that is resulting in some content not being displayed if you are not logged into the wiki. This is a known issue with Atlassian On Demand(AOD) and the team is following up with AOD. As a workaround please make sure you log into the wiki to ensure you have access to all the information on the wiki.

Thanks
CONNECT Product Team
Reply | Threaded
Open this post in threaded view
|

Re: CONNECT 4.5 is here!!

geoff
drodrigues wrote
Furthering adaptability and deployment flexibility, CONNECT was tested on the latest versions of WebLogic and JBoss Wildfly.   This release includes updated and increased support for FIPS implementations (JBoss)
Latest JBoss Wildfly is Wildfly 9, but release notes show it tested against JBoss 7.1.1 which is quite outdated.  Do you recommend Wildfly 9 instead of JBoss 7?
Reply | Threaded
Open this post in threaded view
|

Re: CONNECT 4.5 is here!!

christophermay07
Hi,

    WildFly 9.0.0.Final was not yet released when we began release testing for CONNECT 4.5.0, but we successfully tested on the most recent stable version available at the time -- WildFly 8.2.0.Final.  For the servers most commonly used for CONNECT in Production environments, we run an additional set of interoperability tests to fully verify compatibility between the current and past versions of CONNECT.  This is why JBoss 7.1.1 is listed on the release notes but WildFly 8.2.0 is not, despite the fact that CONNECT 4.5.0 has been extensively tested on both servers.

    We expect that CONNECT 4.5.0 and onward should work on WildFly 9.x as well as the recently released WildFly 10 Beta, but we always invite you, or any member of the CONNECT community, to try CONNECT on their desired combination of operating system / application server.  If you have any specific questions or concerns regarding CONNECT on WildFly, please feel free to reach out on the "CONNECT Developers" or "CONNECT Installation Issues" forums; we're always looking for comments and feedback to help make CONNECT a stronger product for all users.

Regards,

Chris May
CONNECT Product Team